Page MenuHomePhabricator

Wikidata constraints
Closed, InvalidPublic

Description

  • Default Constraints? for each of the languages:

Alias <> Label
Description <> Label

  • Refuse duplicate statements.

When a user did not search or did not find an existing object, one could create by accident duplicate data. Really duplicate data should not be stored and the user should see a "duplicate key" error with no option to save the data until backing off.

  • (more) Proactive constraint validation before saving

"an ounce of prevention is worth a pound of cure".

Event Timeline

Geertivp created this task.May 13 2019, 4:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 4:03 PM
Geertivp updated the task description. (Show Details)May 13 2019, 5:14 PM

Is this about Wikidata? If it is, what would be clear steps that allow anyone else to reproduce and see the problem? See https://www.mediawiki.org/wiki/How_to_report_a_bug - thanks!

Geertivp removed Geertivp as the assignee of this task.May 17 2019, 11:45 AM
Geertivp updated the task description. (Show Details)
Aklapper closed this task as Invalid.Jul 2 2019, 7:44 AM

@Geertivp: I am closing this task as invalid. The aforementioned items might be entirely valid, but it's very hard to follow progress in conversations (comments in the task referring to one of the aforementioned items vs comments in the task referring to another of the aforementioned items) plus the status of the task (open vs resolved).
Please split this task into separate tasks and include only one problem per task. Thanks for your understanding!